/*
 Theme Name:   Botiga Child Theme
 Theme URI:    https://athemes.com/theme/botiga/
 Description:  Botiga Child Theme
 Author:       aThemes
 Author URI:   https://athemes.com
 Template:     botiga
 Version:      1.0
 Tags:         flexible-header, custom-background, custom-colors, custom-header, custom-menu, featured-image-header, featured-images, full-width-template, microformats, post-formats, theme-options, threaded-comments, translation-ready
 Text Domain:  botiga
*/


/* =Theme customization starts here
------------------------------------------------------------ */
/* Header TOP */
ul.nav-menu {
    margin: 0;
}
h1.site-title a {
    font-weight: 700;
}
/*.bhfb-main_header_row {
    background-color: transparent;
}*/
.bhfb-row-wrapper.bhfb-main_header_row.bhfb-sticky-header.sticky-shadow {
    background-color: #000000c9;
}
/* Home FOOTER */
/*body.home footer.bhfb.bhfb-footer.bhfb-desktop {
    position: fixed;
    bottom: 0;
    background: transparent;
}
body.home footer.bhfb.bhfb-footer.bhfb-desktop .bhfb-row-wrapper.bhfb-below_footer_row {
    background: transparent;
}
.bhfb-below_footer_row {
    border-top-width: 0px;
}
.header-contact, .bhfb-component-contact_info .header-contact > a, body.home .botiga-credits, body.home .botiga-credits a {
    color: #000000;
}
.bhfb-component-social .social-profile > a svg, .bhfb-component-contact_info .header-contact > a svg {
    fill: #ffffff;
}*/

.animate-reciprocal-vertical-10 {
    animation: reciprocal-vertical-10 2s linear infinite alternate;
}
.animate-reciprocal-vertical {
    animation: reciprocal-vertical 2s linear infinite alternate;
}
@keyframes reciprocal-vertical-10 {
    0%,to {
        transform: translateY(0)
    }

    50% {
        transform: translateY(10px)
    }
}
@keyframes reciprocal-vertical {
    0%,to {
        transform: translateY(0)
    }

    50% {
        transform: translateY(20px)
    }
}
.bhfb-row-wrapper.bhfb-main_header_row.bhfb-sticky-header {
    border-radius: 0 0 0 0;
}
.gt_switcher_wrapper {
    top: 35px !important;
}
@media (max-width: 767px) {
.gt_switcher_wrapper {
    position: absolute !important;
}
}
.gtranslate_wrapper a {
    color: #ffffff;
    padding: 0 5px;
}
.bez-akapitu p {
    margin-bottom: 0;
}
.akapit_10 p {
    margin-bottom: 10px;
}
.svg-icon {
    filter: drop-shadow(0px 0px 4px #000000);
}
.img-icon img {
    filter: drop-shadow(15px 15px 0px #dddddd77);
}
.rewers .img-icon img {
    filter: drop-shadow(-15px 15px 0px #dddddd77);
}
@media (min-width: 992px) {
.rewers .e-con-inner {
    display: flex !important;
    flex-direction: row-reverse;
}
}
@media (min-width: 1025px) {
.rozdzielacz-top .elementor-shape.elementor-shape-top {
    margin-top: -5.2vw;
}
.block-before.e-child:after {
    content: '';
    background: #efefef;
    position: absolute;
    left: -98%;
    width: 100%;
    display: block;
    height: calc(100% - 20px);
    border-radius: 5px;
    margin: 15px 0;
}
/*.block-after.e-child:after {
    content: '';
    background: #efefef;
    position: absolute;
    left: 98%;
    width: 100%;
    display: block;
    height: calc(100% - 45px);
    border-radius: 5px;
    margin: 15px 0;
}*/
}
.mapa-realizacji:after {
    content: '';
    background: url(https://artiworks.pl/mhkexpo/wp-content/uploads/2025/10/mhk-3.png);
    position: absolute;
    left: 100%;
    width: 100%;
    display: block;
    height: calc(100% + 130px);
    border-radius: 0;
    background-size: contain;
    background-repeat: no-repeat;
    filter: brightness(1000);
    top: -63px;
}
.naglowek-before:before {
    content: '';
    background: #89bf45;
    position: absolute;
    left: -107%;
    width: 100%;
    display: block;
    height: 200%;
    border-radius: 0;
	top: -17px;
	clip-path: polygon(0% 0%, 150% 35%, 25% 75%);
}
.naglowek-after:after {
    content: '';
    background: #58ac3e;
    position: absolute;
    right: -107%;
    width: 100%;
    display: block;
    height: 200%;
    border-radius: 0;
	top: -17px;
	clip-path: polygon(0% 0%, 150% 35%, 25% 75%);
    transform: scaleX(-1);
}
.naglowek-before-3:before {
    content: '';
    background: #58ac3e;
    position: absolute;
    left: -107%;
    width: 100%;
    display: block;
    height: 100%;
    border-radius: 0;
	top: 0;
}
.naglowek-after-3:after {
    content: '';
    background: #58ac3e;
    position: absolute;
    right: -107%;
    width: 100%;
    display: block;
    height: 100%;
    border-radius: 0;
	top: 0;
    transform: scaleX(-1);
}

.naglowek-before-contact:after {
    content: '';
    background: #2968a5;
    position: absolute;
	top: 0;
    left: 107%;
    width: 100%;
    display: block;
    height: 100%;
    border-radius: 0;
}
.block-before-contact:after {
    content: '';
    background: #58ac3e;
    position: absolute;
    left: -100%;
    width: 100%;
    display: block;
    height: 100%;
    border-radius: 0;
    margin: 0;
	top: 0;
}
.block-after-contact:after {
    content: '';
    background: #f0ebd8;
    position: absolute;
    right: -100%;
    width: 100%;
    display: block;
    height: 100%;
    border-radius: 0;
    margin: 0;
	top: 0;
}
.mapa-google {
    filter: sepia(0) hue-rotate(0deg);
}	
	
.zaufali-nam .block-before.e-child:before, #sekcja-kontakt .block-before.e-child:before {
	left: -104%;
}
.zaufali-nam .block-after.e-child:after, #sekcja-kontakt .block-after.e-child:after {
	left: 104%;
}
}
#sekcja-kontakt .block-before.e-child:before, #sekcja-kontakt .block-after.e-child:after {
    background: #3c4247;
}
#sekcja-kontakt iframe {
    border-radius: 0 100px 0 0;
}
@media (max-width: 768px) {
	
/*body:after {
	content: 'Propozycja strony dla urządzeń mobilnych w budowie. Proszę oglądać na laptopie lub komputerze stacjonarnym';		
}	
	body #page {
		display: none;	
	}
	*/
div#page {
    overflow: hidden;
}
.bhfb-row.bhfb-cols-layout-equal-tablet.bhfb-cols-2 {
        grid-template-columns: 2fr 1fr;
}
	.bhfb .main-navigation a.botiga-dropdown-link {
    	color: #000000;
	}
	.sticky-header-active .jezyki {
		display: none;
	}
	/* dla projektu warenczak 1 */
		body.page-id-1124 .ws-svg-icon svg:not(.stroke-based) {
    fill: #ffffff;
	}
}
.footer-html {
    color: #000000;
    padding-right: 70px;
}
input.wpcf7-form-control.wpcf7-submit.has-spinner {
    background: #89BF45;
    border-color: #89BF45;
}
.baner .logo-baner img {
	transition: filter 0.3s ease-in-out;
}
.baner:hover .logo-baner img {
	-webkit-filter: drop-shadow(0px 0px 30px #000000);
    filter: drop-shadow(0px 0px 30px #000000);
	transition: filter 0.3s ease-in-out;
}
input.wpcf7-form-control.wpcf7-text.wpcf7-validates-as-required {
    margin: 5px 0;
    border-color: #000000;
}

@media (min-width: 992px) {
ul.sub-menu.botiga-dropdown-ul {
    width: 350px !important;
    left: -100px !important;
}
body.home .bhfb-row-wrapper.bhfb-main_header_row.bhfb-sticky-header .site-branding {
    visibility: hidden;
}
body.home .bhfb-row-wrapper.bhfb-main_header_row.bhfb-sticky-header.sticky-shadow .site-branding {
    visibility: visible;
}
.block-after-gray:after {
    content: '';
    background: #c6c6c6;
    position: absolute;
    top: 100%;
    width: 100%;
    display: block;
    height: 222px;
    border-radius: 0;
    margin: 0;
    z-index: 1;
}
.block-after-gray.second:after {
    height: 282px;
}

body.page-id-1805 .block-before-contact:after {
    content: '';
    background: #feef00;
    position: absolute;
    left: -100%;
    width: 100%;
    display: block;
    height: 100%;
    border-radius: 0;
    margin: 0;
}
body.page-id-1805 .blok-after-contact:before {
    content: '';
    background: #efefef;
    position: absolute;
    left: 100%;
    width: 100%;
    display: block;
    height: 100%;
    border-radius: 0;
    margin: 0;
}
body.home .bhfb-main_header_row {
    background-color: transparent;
}
.bhfb-builder-item.bhfb-component-contact_info {
    padding-top: 0 !important;
}
span.dropdown-symbol {
    display: none;
}
#menu-item-2880 > a.botiga-dropdown-link {
    font-size: 32px;
}
body.home .bhfb-sticky-header .site-title {
    display: none;
}
body.home .sticky-shadow .site-title {
    display: block;
}
h1.elementor-heading-title.elementor-size-default {
    display: flex;
}
.naglowek h1.elementor-heading-title.elementor-size-default div:first-child {
    padding-top: 0px;
}
.naglowek h1.elementor-heading-title.elementor-size-default div:last-child {
    padding-top: 50px;
}
}
div#jarallax-container-0 {
    border-radius: 25px;
}
figure.gallery-item {
    display: flex;
    justify-content: center;
	align-items: center;
	flex-direction: column;
}

.site-branding .site-description {
    display: none;
}
.site-title {
    background: #a77018;
    padding: 8px 12px;
    border-radius: 25px;
}
.bhfb .site-title a {
    font-weight: 700;
}
i.fas.fa-bars {
    cursor: pointer;
}
li.menu-item.menu-item-gtranslate {
    display: flex;
    align-items: center;
}
li.menu-item.menu-item-gtranslate a {
    color: #ffffff;
}
ul.dropdown-menu.sub-menu {
    background: #000000;
	padding-left: 0;
	max-width: 60px;
}
ul.dropdown-menu.sub-menu li {
    background: #000000 !important;
}
@media (max-width: 1024px) {
li.menu-item-2880, li.menu-item-4211 {
    display: none;
}
}
.elementor-element.zakrycie::before {
    top: 5px;
}

.elementor-element.elementor-element-1309d81 p img {
    border: 1px solid #000000 !important;
}
.elementor-element.elementor-element-1309d81 p img:first-child {
    filter: brightness(100);
}

.naglowek h1 {
    text-shadow: -2px -2px 0 #58ac3e, 2px -2px 0 #58ac3e, -2px 2px 0 #58ac3e, 2px 2px 0 #58ac3e, 0px 0px 30px #fdce41;
}
.piktogramy img {
    -webkit-filter: drop-shadow(3px 3px 5px #ffffff);
    filter: drop-shadow(3px 3px 5px #ffffff);
}

/* FORMULARZ ------------------------------------------------------------------------------- FORMULARZ */
form.formularz-serwis {
    display: flex;
    flex-direction: column;
	width: 100%;
}
.klient_blok, .wybor_wymiany_sm {
    display: flex;
    flex-direction: column;
	width: 350px;
}

/* styl span, który będzie widocznym checkboxem */
.custom-checkbox .checkmark {
    position: relative;
    height: 30px;
    width: 30px;
    background-color: #eee;
    border-radius: 4px;
    display: inline-block;
    margin-right: 10px;
    vertical-align: middle;
    transition: 0.3s;
}
/* efekt po zaznaczeniu */
.custom-checkbox input:checked + .checkmark {
    background-color: #000000; /* czarny przy zaznaczeniu */
}
/* opcjonalny znak „✔” */
.custom-checkbox .checkmark:after {
    content: "";
    position: absolute;
    display: none;
}
.custom-radio {
    display: flex;
    position: relative;
    padding-left: 35px;
    cursor: pointer;
	align-items: center;
	justify-content: space-between;
	max-width: 330px;
	min-height: 40px;
}
.custom-radio input {
    position: absolute;
    opacity: 0;
}
.custom-radio .checkmark {
    position: absolute;
    left: 0;
    top: 8px;
    height: 22px;
    width: 22px;
    border-radius: 50%;
    border: 2px solid #333;
}
.custom-radio input:checked ~ .checkmark {
    background-color: #333;
}
.custom-checkbox input:checked + .checkmark:after {
    display: block;
}
.custom-checkbox .checkmark:after {
    left: 8px;
    top: 2px;
    width: 13px;
    height: 20px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

.tooltip {
  position: relative;
  cursor: pointer;
}

.tooltip-text {
  visibility: hidden;
  width: 220px;
  background-color: #333;
  color: #fff;
  text-align: left;
  padding: 8px;
  border-radius: 6px;

  position: absolute;
  z-index: 999;
  bottom: 125%;
  left: 50%;
  transform: translateX(-50%);

  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip:hover .tooltip-text {
  visibility: visible;
  opacity: 1;
}

div#rolety_container .roleta_blok {
    padding: 20px;
    border: 1px solid #000000;
    margin-top: 0px;
	width: 350px;
}
label.custom-radio.long {
    max-width: 100%;
}

@media (min-width: 768px) {
div#rolety_container .roleta_blok {
	margin-left: 20px;
}
.opcje_blok {
    display: flex;
    width: 700px;
	padding: 20px;
}
.opcje_left, .opcje_right {
    width: 350px;
}
.opcje_right {
    margin-left: 80px;
}
button.elementor-button {
    width: 350px;
}
tr.porownanie td:last-child {
    display: flex;
    justify-content: space-around;
    align-items: center;
	border: 0;
}
body.single .container.content-wrapper {
    margin-top: 0px !important;
}
body.single .container.content-wrapper .row.main-row {
    display: flex;
    justify-content: center;
}
}
@media (min-width: 1200px) {
	body.single main#primary {
    	max-width: var(--botiga_content_width, 1140px);
	}
}
@media (max-width: 1199px) {
	body.single main#primary {
    	padding: 0 15px !important;
	}
}
div#rolety_container {
    display: flex;
    flex-direction: row;
	overflow: scroll;
}
div#rolety_container span.tytul {
    font-weight: 700;
}
.naglowek_roleta {
    display: flex;
    flex-direction: row;
    align-content: center;
    align-items: center;
}
.form_blok {
    display: flex;
    flex-direction: row;
}
@media (max-width: 767px) {
div#rolety_container {
    flex-direction: column;
	overflow-y: unset;
}
.form_blok {
    flex-direction: column;
}	
.formularz_con {
    display: flex;
    justify-content: center;
}
}
.klient_blok {
	padding: 20px;
    border: 1px solid #000000;
    min-width: 350px;
}
.klient_blok input {
    margin: 10px 0;
}
.wybor_koloru_szczotek {
    padding: 20px;
    background: #e9e9e9;
    margin-top: 0 !important;
	width: 100%;
}
.wybor_wymiany_sm {
    padding: 20px;
    background: #e9e9e9;
    margin-top: 0 !important;
    padding-top: 0;
	width: 100%;
}
.wybor_kolor_siatki, .wybor_kolor_materialu {
    background: #d5d5d5;
	padding: 20px;
}
.form-success {
    padding: 10px;
    background: #ffffff;
    color: #ffffff;
    margin-bottom: 20px;
}
.form-success {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    left: 0;
    z-index: 10;
}
.form-success div {
	background: #89bf45;
	padding: 10px;
}
body:has(.form-success) {
    overflow-y: hidden;
}

.formularz_con button.elementor-button {
    padding: 15px 15px 15px 15px !important;
    margin: 30px 0;
}
.e-n-accordion-item {
    scroll-margin-top: 100px;
}
a.notranslate.glink:hover {
    color: #757575;
}
.tkaniny img.attachment-medium {
    width: 100px;
}
img.emoji {
    border: 1px solid #000000 !important;
}
#przygotowanie-rolet-do-wyslania table {
    background: #ebe197;
}
/*body.page-id-4095 label.compare-label {
    display: none;
}*/


/* domyślnie ukryte */
.tylko-polski {
  display: none;
}
/* widoczne tylko dla polskiego */
html[lang="pl-PL"] .tylko-polski, html[lang="pl"] .tylko-polski, html[lang="auto"] .tylko-polski {
  display: block;
}
/* domyślnie ukryte */
.tylko-niemiecki {
  display: none;
}
/* widoczne tylko dla niemieckiego */
html[lang="de-DE"] .tylko-niemiecki, html[lang="de"] .tylko-niemiecki {
  display: block;
}
/* domyślnie ukryte */
.tylko-angielski {
  display: none;
}
/* widoczne tylko dla niemieckiego */
html[lang="en-EN"] .tylko-angielski, html[lang="en"] .tylko-angielski {
  display: block;
}

.woocommerce-product-gallery.woocommerce-product-gallery--with-images.woocommerce-product-gallery--columns-4.images,
.woocommerce-tabs.wc-tabs-wrapper {
    display: none;
}
p.price {
    display: none;
}
@media (min-width: 768px) {
.product-gallery-summary .woocommerce-product-gallery, .product-gallery-summary .entry-summary {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: calc(100% - 40px);
	margin-top: 30px;
}
#tabela_probek tbody {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
#tabela_probek tbody tr {
    min-width: 33%;
}
#tabela_probek tbody tr {
    display: flex;
    flex-direction: column;
    align-items: center;
}
#tabela_probek table, #tabela_probek tbody, #tabela_probek tbody td {
    border: 0px !important;
}
#tabela_probek .probki {
	display: flex;
	align-items: center;
}
body.page-id-4433 .container.content-wrapper, body.page-id-4435 .container.content-wrapper {
    padding-top: 130px;
}
}
	.wprodukcie a.elementor-button.elementor-button-link.elementor-size-sm {
		padding: 20px 15px 20px 15px;
		font-size: 14px;
	}

.metody_platnosci p {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}
.metody_platnosci img {
    width: 75px;
    margin-right: 40px;
    /* filter: grayscale(1); */
    -webkit-transform: translateZ(0);
    -webkit-perspective: 1000;
    -webkit-backface-visibility: hidden;
}

.file-upload input[type="file"] {
    display: none;
}
.file-upload {
    display: inline-block;
    padding: 10px 15px;
    background: #333;
    color: #fff;
    cursor: pointer;
    border-radius: 5px;
}
.bhfb .secondary-navigation .sub-menu.botiga-dropdown-ul a {
    padding: 7px 15px;
}

.woocommerce-notices-wrapper {
    display: none;
}
.wc-proceed-to-checkout a:last-child {
    display: none !important;
}
.cart_totals h2, .cart_totals table {
    display: none;
}
.moj-kontener-checkout {
    display: flex;
    justify-content: flex-end;
}
.bhfb-footer {
    z-index: 10;
}


    .bhfb-header .botiga-dropdown > .botiga-dropdown-ul, .bhfb-header .botiga-dropdown > div > .botiga-dropdown-ul {
        align-items: center;
    }
	div#hu-revoke {
    	margin-bottom: 20px !important;
    	margin-right: 5px !important;
		transition: all .4s;
	}
	.sticky-header-active div#hu-revoke {
    	margin-bottom: 60px !important;
    	margin-right: 5px !important;
		transition: all .4s;
	}
